# Application Processes Application Processes ## Creates a new application process record that does not already exist. - [POST /applicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/createapplicationprocess.md): This method will auto-generate an ID and create a new application process. If an ID is specified for the application process, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /applicationProcesses/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/listprocessesbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /applicationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact/org is eligible to use - [GET /applicationProcesses/{tenantId}/eligible/{awardId}/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/geteligibleprocesses.md) ## Returns a application process from the system by its ID. - [DELETE /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/deleteapplicationprocess.md): This method will delete a application process with the specified ID. ## Returns a application process from the system by its ID. - [GET /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/getapplicationprocess.md): This method will look up a application process by the specified ID and return it back. ## Partially updates a application process with the specified ID. - [PATCH /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/patchapplicationprocess.md): This method will patch an existing application process with the specified ID, using the HTTP PATCH specification. ## Updates a application process with the specified ID. - [PUT /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-processes/updateapplicationprocess.md): This method will update an existing application process with the specified ID.